[pylucene-dev] added support for Solaris

Andi Vajda vajda at osafoundation.org
Tue Jan 15 13:14:08 PST 2008


On Tue, 15 Jan 2008, mario alejandro wrote:

> I try:
>
>    'sunos5': ['-fno-strict-aliasing',
>               '-erroff=badargtypel2w,wbadinitl,wvarhidemem'],

These two command line args are for different compilers. Either you're using 
gcc and the second one (-erroff) is not going to work or you use Sun Studio, 
and the first one (-fno-strict-aliasing) is not going to work.

> and work (but not as root????). When by mistake I run the build command on
> the regular user this work. I do sudo python setup.py install and get
> installed!

Oh well, I'm not sure I follow but if it works, it works :)

> Then try pyLucene
>
> CC=CC gmake or gmake only give:
>
> A    lucene-java-2.2.0-610887/README.txt
> A    lucene-java-2.2.0-610887/BUILD.txt
> A    lucene-java-2.2.0-610887/.cvsignore
> Exported revision 610887.
> cd lucene-java-2.2.0-610887;  -Dversion=2.2.0-610887
> /bin/sh: -Dversion=2.2.0-610887: not found
> gmake: *** [lucene-java-2.2.0-610887/build/lucene-core-2.2.0-610887.jar]

You didn't define a value for the ANT variable in PyLucene's Makefile it 
looks like. ANT must point at the shell script that starts ant.

Andi..



More information about the pylucene-dev mailing list